[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# TCalendarView

Defines the view for a calendar.

## Declaration

Source position: calendar.pp line 62

`type TCalendarView = (`
`cvMonth,` |  | Grid has days for one month.
`cvYear,` |  | Grid has months in one year.
`cvDecade,` |  | Grid has years from one decade.
`cvCentury` |  | Grid has decades for one century.
`);`

## Description

TCalendarView is an enumeration type with values that define the view for a calendar control. TCalendarView makes it possible to set the calendar view introduced in Windows Vista or later. In other widgetsets, as well as in older versions of Windows, a calendar has only a standard "month view" grid with days representing a month. TCalendarView is used to implement the TCustomCalendar.GetCalendarView method.

## See also

TCustomCalendar.GetCalendarView |  | Gets the current view for the Calendar.